dsdpdualmat_impl.h File Reference

Structure of function pointers that each symmetric positive definite matrix type (dense, sparse) must implement. More...

Go to the source code of this file.

## Data Structures

struct | DSDPDualMat_Ops
| Table of function pointers that operate on the S matrix. More...

## Functions

int | DSDPDualMatOpsInitialize (struct DSDPDualMat_Ops *)
| Set pointers to null.

## Detailed Description

Structure of function pointers that each symmetric positive definite matrix type (dense, sparse) must implement.

Definition in file dsdpdualmat_impl.h.

## Function Documentation

## DSDPDualMatOpsInitialize()

int DSDPDualMatOpsInitialize | ( | struct DSDPDualMat_Ops * | sops | ) |

extern

Set pointers to null.

Parameters

  sops | function pointers

Definition at line 423 of file dsdpdualmat.c.

Referenced by DSDPDualMatInitialize().